Kerbal Space Program - Bug #5581

Docking Tutorial - Impossible to Get Intersection Nodes Close Enough to Each Other to unlock next
step

10/19/2015 03:35 AM - ExoPlanet

Status: Closed Start date: 10/19/2015
Severity: High % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

When working through the docking tutorial, | can only get as far as setting up the intersection nodes for intersecting the rescue ship's
orbit with the stranded ship's orbit. The user is instructed to create a maneuver, pull prograde until the orbits overlap, and then move
the maneuver/adjust the prograde until the two brown/orange intersection marks are close together (under 5km apart). No matter
how these adjustments are made in combination, the markers are never close enough together to satisfy this proximity requirement.
When one marker moves, the other always moves away at the same rate away from it. They also have a tendency to "jump" all the
way to the other side of the orbit, and stick out at odd angles. This results in the tutorial being impossible to complete. | have tried
this many times - after restarting the tutorial and also restarting Kerbal, but the result is always the same.

History

#1 - 10/19/2015 10:24 AM - Kosmognhome

Can't confirm, just got a 3.4km intersect and can go to the next step.

#2 - 10/27/2015 09:42 AM - Skeltek

Sometimes when the intersection angles are too shallow, the game doesnt register an intersection.

What | mean is when the curvature of the intersecting orbit and the curvature of the intersected orbit are too similar, the game will stop realising the
existence of the intersections before the two intersects get close enough together, because the angle of the intersects is too small and the game fails
to aquire a clear "crossing" of the intersected line.

That is absolutely normal since one way or the other the game has to deal with floating point errors, mostly just cutting off calculations that might
result in "divisons by zero" or requiring too much calculating power. There has to be some compromise somewhere.

But that is just my personal interpretation, since | have also dealt with stuff like that in my own 3d game engine.

Maybe one of the devs familiar with the implementation should have a look and answer instead though.

#3 - 10/27/2015 06:44 PM - ToneStack

- Subject changed from Docking Tutorial - Impossible to Get Intersection Nodes Close Enough to Each Other to Docking Tutorial - Impossible to Get
Intersection Nodes Close Enough to Each Other to unlock next step

- Status changed from New to Confirmed
- Severity changed from Normal to High
- % Done changed from 0 to 10

- Platform Any added

- Platform deleted (Win64)

| tried the docking tutorial a couple days on the mac version of the game and have confirmed a similar situation... | was able to get to the point where
it said get an intercept orbit and | was co-planer (0.0 inclination), got initial intercept of about 4.5 km, the next button did not unlock to become
clickable, however | continued the tutorial despite that.

| was able to get successfully within a couple hundred meters of the vessel and nullify the relative velocity to zero, the next button still did not become
clickable...

| know that if i was someone who needed a tutorial on how to dock and it did not let you goto the next step properly, | could very well be discouraged
from playing ksp again. I'm thinking the later steps in the tutorial would probably have been beneficial to me too as | have actually not docked a vessel
"docking port to docking port yet", | have only done kerbal rescue contracts at this point in time.

#5 - 11/16/2015 10:13 AM - sal_vager
- File screenshot33.png added
- File screenshot34.png added

04/20/2024 1/2




- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

I am no longer able to reproduce this in build 1028 on Linux.
Orbit required advancing via the maneuver node buttons.

Use of the maneuver node buttons is explained in the orbit 101 tutorial.

#6 - 11/18/2015 09:42 PM - ToneStack

Confirmed that the issue of orbit lines automatically jumping to the other side of orbit no longer happens in build 1028 on Mac, but it was still prevalent

in build 1024... The first 1.0.5 build released to the public.

#7 - 11/21/2015 03:11 PM - sal_vager

Thanks Tonestack, it's nice to have the double confirm.

#8 - 07/17/2016 09:20 AM - TriggerAu

- Status changed from Resolved to Closed
